org.eclipse.net4j.util.io

## Class IORuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.util.io.IORuntimeException

- All Implemented Interfaces:
    java.io.Serializable

      public class IORuntimeException
      extends java.lang.RuntimeException

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IORuntimeException()`
    `IORuntimeException(java.lang.String message)`
    `IORuntimeException(java.lang.String message, java.lang.Throwable cause)`
    `IORuntimeException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IORuntimeException

          public IORuntimeException()

    - #### IORuntimeException

          public IORuntimeException(java.lang.String message)

    - #### IORuntimeException

          public IORuntimeException(java.lang.Throwable cause)

    - #### IORuntimeException

          public IORuntimeException(java.lang.String message,
                                    java.lang.Throwable cause)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html